SolrInfoMBean.Category (Solr 3.6.2 API)
Keywords: org.apache.solr.core.SolrInfoMBean.Category class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.solr.core
Enum SolrInfoMBean.Category

    java.lang.Object
      java.lang.Enum<SolrInfoMBean.Category>
          org.apache.solr.core.SolrInfoMBean.Category

All Implemented Interfaces:
  Serializable, Comparable<SolrInfoMBean.Category>

Enclosing interface:
  SolrInfoMBean

    public static enum SolrInfoMBean.Category

extends Enum<SolrInfoMBean.Category>

Enum Constant Summary
`CACHE`
`CORE`
`HIGHLIGHTING`
`OTHER`
`QUERYHANDLER`
`UPDATEHANDLER`

Method Summary
`static SolrInfoMBean.Category` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SolrInfoMBean.Category[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CORE

    public static final SolrInfoMBean.Category CORE

### QUERYHANDLER

    public static final SolrInfoMBean.Category QUERYHANDLER

### UPDATEHANDLER

    public static final SolrInfoMBean.Category UPDATEHANDLER

### CACHE

    public static final SolrInfoMBean.Category CACHE

### HIGHLIGHTING

    public static final SolrInfoMBean.Category HIGHLIGHTING

### OTHER

    public static final SolrInfoMBean.Category OTHER

Method Detail

### values

    public static final SolrInfoMBean.Category[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SolrInfoMBean.Category c : SolrInfoMBean.Category.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SolrInfoMBean.Category valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD